.input {
  width: 100%;
  position: relative;

  @include sm-up {
    padding: 0 1rem;
  }

  &--opacity {
    opacity: .4;
  }

  &__label {
    font-weight: bold;
    font-size: $main-font-size + .2rem;
    display: block;
    margin-bottom: 1rem;

    &--small {
      font-size: $main-font-size - .2rem;
      font-weight: bold;
      margin: 1rem 0 0 0;
    }
  }

  &__icon {
    position: absolute;
    right: 0rem;
    top: 50%;
  }

  &__text {
    width: 100%;
    height: 5rem;
    border: .1rem solid $gray-dark-3-color;
    color: $gray-dark-3-color;
    font-size: $main-font-size;
    font-weight: lighter;
    padding: 1.5rem;

    &--error {
      border: .1rem solid $red;
      color: $red;

      &::placeholder {
        color: $red;
      }
    }

    &--underline {
      padding: 0rem;
      height: 3.3rem;
      border: none;
      border-bottom: .1rem solid $gray-dark-3-color;
      font-size: $main-font-size - .2rem;
    }
  }

  &__error {
    color: $red;
    font-size: $main-font-size - .3rem;
    font-weight: lighter;
    text-align: left;
    display: block;
    margin: .5rem 1.5rem;

    &--center {
      text-align: center !important;
    }
  }
}

.checkbox {
  display: block;
  position: relative;
  padding-left: 1.5rem;
  margin-bottom: 1.2rem;
  cursor: pointer;
  font-size: 3rem;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  &--error .checkmark .checkmark-small {
    border: .2rem solid $red !important;
  }

  & input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  & .checkmark:after {
    left: 1.2rem;
    top: .5rem;
    width: 1rem;
    height: 1.7rem;
    border: solid $gray-dark-3-color;
    border-width: 0 .3rem .3rem 0;
    transform: rotate(45deg);
  }

  & .checkmark-small:after {
    left: .6rem;
    width: 1rem;
    height: 1.6rem;
    border: solid $gray-dark-3-color;
    border-width: 0 .3rem .3rem 0;
    transform: rotate(45deg);
  }

  & .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 3.5rem;
    width: 3.5rem;
    border: .2rem solid $gray-dark-3-color;

    &:after {
      content: "";
      position: absolute;
      display: none;
    }
  }

  & .checkmark-small {
    position: absolute;
    top: 0;
    left: 0;
    height: 2.5rem;
    width: 2.5rem;
    border: .2rem solid $gray-dark-3-color;

    &:after {
      content: "";
      position: absolute;
      display: none;
    }
  }

  &:hover input ~ .checkmark * {
    border: .2rem solid $gray-dark-3-color;
  }

  & input:checked ~ .checkmark {
    border: .2rem solid $gray-dark-3-color;
  }

  & input:checked ~ .checkmark:after {
    display: block;
  }

  &:hover input ~ .checkmark-small * {
    border: .2rem solid $gray-dark-3-color;
  }

  & input:checked ~ .checkmark-small {
    border: .2rem solid $gray-dark-3-color;
  }

  & input:checked ~ .checkmark-small:after {
    display: block;
  }
}

.table {
  width: 100%;
  border-collapse: collapse;

  thead {
    width: 100%;
    background: $gray-light-1-color;

    tr {
      th {
        text-transform: uppercase;
        height: 7rem;
        color: $gray-dark-4-color;
        font-size: 1.5rem;
      }
    }
  }

  tbody {
    tr {
      border-bottom: 1px solid #ccc;

      td {
        padding: 3rem 0;
        font-size: 1.5rem;
        text-align: center;
        color: $gray-dark-4-color;
      }
    }
  }
}

.clean-input {
  position: relative;

  &__delete-btn {
    position: absolute;
    right: -1rem;
    top: 50%;
  }

  & input {
    width: 100%;
    border: none;
    font-size: $main-font-size -.3rem;
  }
}